Summary: An xterm replacement for Enlightenment users.
Name: Eterm
Version: 0.9
Release: 16
Copyright: BSD
Group: User Interface/X
Source0: ftp://ftp.eterm.org/pub/Eterm/Eterm-%{version}.tar.bz2
Source1: ftp://ftp.eterm.org/pub/Eterm/Eterm-bg-%{version}.tar.bz2
Patch0: Eterm-backspace-etc-new.patch 
URL: http://www.eterm.org/
BuildRoot: /var/tmp/Eterm-root
Requires: imlib >= 1.9.6
ExcludeArch: alpha

%description
Eterm is a color vt102 terminal emulator with enhanced graphical
capabilities.  Eterm is intended to be a replacement for xterm for
Enlightenment window manager users, but it can also be used as a
replacement for xterm by users without Enlightenment.  Eterm supports
various themes and is very configurable, in keeping with the
philosophy of Enlightenment. If you install Eterm, you'll also need to
have the Imlib library installed.

%package backgrounds
Summary: Backgrounds for Eterm
Group: User Interface/X
Requires: Eterm = %{version}
%description backgrounds
Install this package if you want additional backgrounds for Eterm

%prep
%setup -q -n Eterm-%{version} 1
%patch0 -p1

%build
%configure --with-backspace=bs --with-delete=execute --with-cc=gcc
make 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Utilities


cat > $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Utilities/Eterm.desktop <<EOF
[Desktop Entry]
Name=Eterm
Comment=Eterm
TryExec=Eterm
Exec=Eterm
Icon=gnome-eterm.png
Terminal=0
Type=Application
EOF

chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Utilities/Eterm.desktop

%makeinstall

( cd $RPM_BUILD_ROOT
  mv .%{_prefix}/bin/Eterm .%{_prefix}/bin/Eterm-%{version}
  cd $RPM_BUILD_ROOT%{_prefix}/bin
  ln -sf Eterm-%{version} Eterm
  cd $RPM_BUILD_ROOT
  chmod +x .%{_prefix}/lib/lib*so* ||:
)

strip -s $RPM_BUILD_ROOT%{_prefix}/bin/* || :
strip --strip-debug $RPM_BUILD_ROOT%{_prefix}/lib/*.so ||:

gzip $RPM_BUILD_ROOT%{_mandir}/man1/*

(cd $RPM_BUILD_ROOT%{_prefix}/share/Eterm/pix/ ; \
 for i in tiled-pixmaps.list scaled-pixmaps.list pixmaps.list ; do \
  mv $i $i.base ; done)

tar --use-compress-program=bzip2 -xvf %{SOURCE1}

make -C bg all
%makeinstall -C bg

#get the package listing for Eterm-backgrounds
echo "%defattr(-,root,root)" > rpm-Eterm-bg-files
cat > rpm-Eterm-bg-files <<EOF
%defattr(-,root,root)
%{_datadir}/Eterm/pix/tiled-pixmaps.list
%{_datadir}/Eterm/pix/scaled-pixmaps.list
%{_datadir}/Eterm/pix/pixmaps.list
EOF
find ./bg/ -type f -not -name '*.list' -not -name 'Makefile*' \
       -not -name 'README*' -not -name 014.jpg \
        -not -name 40.jpg -not -name blackstone.jpg -not -name backwave.jpg \
        -not -name circuit.jpg -not -name nebula.jpg \
        -not -name fourthday.jpg -not -name gaia.jpg \
        -not -name galleon.jpg -not -name night_of_the_dragon.jpg \
        | sed "s#^\./bg/[scati]*le#%{_datadir}/Eterm/pix#g" >> rpm-Eterm-bg-files

%post
/sbin/ldconfig

(cd %{_datadir}/Eterm/pix;
if [ -f tiled-pixmaps.list.base ] ; then
	for i in tiled-pixmaps.list scaled-pixmaps.list pixmaps.list; do mv -f $i.base $i ; done
else
  exit 0
fi
)
		

%preun
for i in tiled-pixmaps.list scaled-pixmaps.list pixmaps.list ; do \
  rm -f %{_datadir}/Eterm/pix/$i* ; done

%postun
/sbin/ldconfig

%pre backgrounds
for i in tiled-pixmaps.list scaled-pixmaps.list pixmaps.list ; do \
  mv -f %{_datadir}/Eterm/pix/$i %{_datadir}/Eterm/pix/$i.base ; done

%postun backgrounds
for i in tiled-pixmaps.list scaled-pixmaps.list pixmaps.list ; do \
  mv -f %{_datadir}/Eterm/pix/$i.base %{_datadir}/Eterm/pix/$i ; done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/Eterm_reference.html doc/Eterm.1.html
%doc COPYING README ChangeLog
%config(missingok) %{_datadir}/Eterm/pix/*.list.base
%config %{_sysconfdir}/X11/applnk/Utilities/Eterm.desktop
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/*
%{_datadir}/Eterm/themes
%{_datadir}/Eterm/pix/014.jpg
%{_datadir}/Eterm/pix/40.jpg
%{_datadir}/Eterm/pix/blackstone.jpg
%{_datadir}/Eterm/pix/backwave.jpg
%{_datadir}/Eterm/pix/circuit.jpg
%{_datadir}/Eterm/pix/nebula.jpg
%{_datadir}/Eterm/pix/fourthday.jpg
%{_datadir}/Eterm/pix/gaia.jpg
%{_datadir}/Eterm/pix/galleon.jpg
%{_datadir}/Eterm/pix/night_of_the_dragon.jpg
%{_datadir}/Eterm/pix/bar_horizontal_[123].png
%{_datadir}/Eterm/pix/bar_vertical_[123].png
%{_datadir}/Eterm/pix/button_arrow_up_[123].png
%{_datadir}/Eterm/pix/button_arrow_down_[123].png
%{_datadir}/Eterm/pix/menu[123].png
%dir %{_datadir}/Eterm/pix
%dir %{_datadir}/Eterm

%files backgrounds -f rpm-Eterm-bg-files

%changelog
* Sat Aug 19 2000 Tim Powers <timp@redhat.com>
- fix bug #15687

* Tue Aug 8 2000 Tim Powers <timp@redhat.com>
- fixed bug #15687 using Hans' patch

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 22 2000 Tim Powers <timp@redhat.com>
- fix spec file problem with configure picking up egcs and running with it,
  fixes linking bugs

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jun 2 2000 Tim Powers <timp@redhat.com>
- no more wmconfig :) converted to applnk
- fix man page location. Now FHS compliant
- use macros wherever possible
- removed redundant defines at the top of the spec

* Mon Apr 10 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Thu Feb 03 2000 Tim Powers <timp@redhat.com>
- strip debug from libraries

* Wed Feb 02 2000 Tim Powers <timp@redhat.com>
- fixed problems when upgrading and error messages due to a faulty script in
	the post section for the Eterm package
	
* Tue Feb 01 2000 Tim Powers <timp@redhat.com>
- applied patch from Hans de Goede <hans@highrise.nl> to fix some del, home
	and end issues
	
* Fri Jan 29 2000 Tim Powers <timp@redhat.com>
- rebuilt for 6.2 powertools
- bzipped source to conserve space
- using percent configure so that libtoolize is run, needed for some of the
	newer alphas instead of ./configure --prefix=
- stripping binaries again

* Fri Dec 10 1999 Michael Jennings <mej@eterm.org>
- Added Tim's spec file to CVS as Eterm.spec.in for 0.9

* Wed Dec 8 1999 Tim Powers <timp@redhat.com>
- using unified patch for utempter and themes from Michael Jennings

* Tue Dec 7 1999 Tim Powers <timp@redhat.com>
- added wmconfig entry
- split up into 2 packages, Eterm proper, and Eterm-backgrounds
- thanks to ewt, we no longer have to make Eterm suid root, uses utempter
        instead

* Mon Dec 6 1999 Tim Powers <timp@redhat.com>
- updated to 0.8.10
- patched so that Eterm finds pix/themes in the right place
- new version fixes problems with utmp, conforms to Eterm docs.
- added RedHat.Eterm_suid which includes instructions on how to run Eterm in
        order to have it seen by "w" and "who" as a regular user

* Fri Aug 20 1999 Tim Powers <timp@redhat.com>
- fixed roblem with removing all files when uninstalling Eterm.

* Tue Jul 27 1999 Tim Powers <timp@redhat.com>
- updated version to 0.8.9
- cleaned up spec
- updated patch
- includes new backgrounds
- built for 6.1

* Mon Apr 05 1999 Michael Maher <mike@redhat.com>
- update to 0.8.8

* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.8.7.

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built eterm
